## dos2unix 5.1.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 include version.mk
 
 CC=gcc
+STRIP=strip
 PACKAGE=dos2unix
 UNIX2DOS=unix2dos
 MAC2UNIX=mac2unix
@@ -22,7 +23,10 @@
 MAC2UNIX_BIN=$(MAC2UNIX)$(EXE)
 UNIX2MAC_BIN=$(UNIX2MAC)$(EXE)
 
+# DJGPP support linking of .EXEs via 'stubify'.
+# See djgpp.mak and http://www.delorie.com/djgpp/v2faq/faq22_5.html
 LINK = ln -sf
+LINK_MAN = $(LINK)
 
 prefix		= /usr
 exec_prefix	= $(prefix)
@@ -30,7 +34,8 @@
 datarootdir	= $(prefix)/share
 datadir		= $(datarootdir)
 
-docdir		= $(datarootdir)/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)
+docsubdir	= $(PACKAGE)-$(DOS2UNIX_VERSION)
+docdir		= $(datarootdir)/doc/$(docsubdir)
 localedir	= $(datarootdir)/locale
 mandir		= $(datarootdir)/man
 man1dir		= $(mandir)/man1
@@ -46,8 +51,12 @@
 UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
 MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
 endif
-DOCFILES	= $(PACKAGE).txt $(PACKAGE).ps $(PACKAGE).pdf $(UNIX2DOS).txt $(UNIX2DOS).ps $(UNIX2DOS).pdf
+DOCFILES	= $(PACKAGE).txt $(PACKAGE).ps $(PACKAGE).pdf $(PACKAGE).htm
 INSTALL_OBJS_DOC = README.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt $(DOCFILES)
+
+#PODFILES	= man/man1/dos2unix.pod $(wildcard man/*/man1/dos2unix.pod)
+PODFILES	= $(wildcard man/*/man1/dos2unix.pod)
+MANFILES	= $(patsubst %.pod,%.1,$(PODFILES))
 
 # On some systems (e.g. FreeBSD 4.10) GNU install is installed as `ginstall'.
 INSTALL		= install
@@ -73,6 +82,7 @@
 ifneq (, $(wildcard /cygdrive))
 	OS = cygwin
 	LINK = cp -f
+	LINK_MAN = cp -f
 endif
 endif
 
@@ -96,6 +106,15 @@
 	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
 endif
 endif
+
+ifeq (Darwin, $(shell uname -s))
+	OS = Darwin
+ifdef ENABLE_NLS
+	CFLAGS_OS     = -I/usr/local/include
+	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
+endif
+endif
+
 
 ifndef OS
 ifneq (, $(wildcard /opt/csw))
@@ -142,7 +161,7 @@
 # .......................................................... targets ...
 
 
-all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(MAC2UNIX).1 $(UNIX2MAC).1 $(DOCFILES) $(MOFILES)
+all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(MANFILES) man/man1/dos2unix.1
 
 dos2unix.o : dos2unix.c
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
@@ -159,16 +178,12 @@
 $(MAC2UNIX_BIN) : $(BIN)
 	$(LINK) $< $@
 
-$(MAC2UNIX).1 : $(PACKAGE).1
-	$(LINK) $< $@
+%.1 : %.pod
+	$(MAKE) -C man/man1
 
 $(UNIX2MAC_BIN) : $(UNIX2DOS_BIN)
 	$(LINK) $< $@
 
-$(UNIX2MAC).1 : $(UNIX2DOS).1
-	$(LINK) $< $@
-
-
 mofiles: $(MOFILES)
 
 docfiles: $(DOCFILES)
@@ -179,9 +194,13 @@
 
 po/dos2unix/%.po : $(DOS2UNIX_POT)
 	msgmerge -U $@ $(DOS2UNIX_POT) --backup=numbered
+	# change timestamp in case .po file was not updated.
+	touch $@
 
 po/unix2dos/%.po : $(UNIX2DOS_POT)
 	msgmerge -U $@ $(UNIX2DOS_POT) --backup=numbered
+	# change timestamp in case .po file was not updated.
+	touch $@
 
 %.mo : %.po
 	msgfmt -c $< -o $@
@@ -192,14 +211,17 @@
 $(UNIX2DOS_POT) : unix2dos.c
 	xgettext -C --keyword=_ $+ -o $(UNIX2DOS_POT)
 
-%.txt : %.1
-	LC_ALL=C nroff -man -c $< | col -bx > $@
-
-%.ps : %.1
+%.txt : man/man1/%.pod
+	LC_CTYPE=C pod2text $< > $@
+
+%.ps : man/man1/%.1
 	groff -man $< -T ps > $@
 
 %.pdf: %.ps
 	ps2pdf $< $@
+
+%.htm : man/man1/%.pod
+	pod2html --title="$(PACKAGE) $(DOS2UNIX_VERSION) - DOS/MAC to UNIX and vice versa text file format converter" $< > $@
 
 install: all
 	$(MKDIR) -p -m 755 $(DESTDIR)$(bindir)
@@ -213,10 +235,21 @@
 	cd $(DESTDIR)$(bindir); $(LINK) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN)
 endif
 	$(MKDIR) -p -m 755 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(PACKAGE).1 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(MAC2UNIX).1 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(UNIX2DOS).1 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(UNIX2MAC).1 $(DESTDIR)$(man1dir)
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)
+ifeq ($(LINK_MAN),cp -f)
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)/$(MAC2UNIX).1
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)/$(UNIX2DOS).1
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)/$(UNIX2MAC).1
+else
+	cd $(DESTDIR)$(man1dir); $(LINK_MAN) $(PACKAGE).1 $(MAC2UNIX).1
+	cd $(DESTDIR)$(man1dir); $(LINK_MAN) $(PACKAGE).1 $(UNIX2DOS).1
+	cd $(DESTDIR)$(man1dir); $(LINK_MAN) $(PACKAGE).1 $(UNIX2MAC).1
+endif
+	$(foreach manfile, $(MANFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ;)
+	$(foreach manfile, $(MANFILES), $(INSTALL) -m 644 $(manfile) $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ;)
+	$(foreach manfile, $(MANFILES), cd $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ; $(LINK_MAN) $(PACKAGE).1 $(MAC2UNIX).1 ;)
+	$(foreach manfile, $(MANFILES), cd $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ; $(LINK_MAN) $(PACKAGE).1 $(UNIX2DOS).1 ;)
+	$(foreach manfile, $(MANFILES), cd $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ; $(LINK_MAN) $(PACKAGE).1 $(UNIX2MAC).1 ;)
 ifdef ENABLE_NLS
 	@echo "-- install-mo"
 	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
@@ -241,17 +274,24 @@
 	-rm -f $(DESTDIR)$(mandir)/man1/$(MAC2UNIX).1
 	-rm -f $(DESTDIR)$(mandir)/man1/$(UNIX2DOS).1
 	-rm -f $(DESTDIR)$(mandir)/man1/$(UNIX2MAC).1
+	$(foreach manfile, $(MANFILES), rm -f $(DESTDIR)$(datarootdir)/$(manfile) ;)
 	-rm -rf $(DESTDIR)$(docdir)
 
 clean:
 	rm -f *.o
-	rm -f $(BIN) $(UNIX2DOS_BIN) $(MAC2UNIX_BIN) $(UNIX2MAC_BIN) $(MAC2UNIX).1 $(UNIX2MAC).1
+	rm -f $(BIN) $(UNIX2DOS_BIN) $(MAC2UNIX_BIN) $(UNIX2MAC_BIN)
 	rm -f *.bak *~
-	rm -f */*.bak */*~
-
-maintainer-clean: clean
+	rm -f *.tmp
+	rm -f man/man1/*.bak man/man1/*~
+	rm -f po/*/*.bak po/*/*~
+	rm -f po/*/*.mo
+
+distclean: clean
+
+maintainer-clean: distclean
 	rm -f $(DOCFILES)
-	rm -f $(MOFILES)
+	rm -f man/man1/*.1
+	rm -f man/*/man1/*.1
 
 realclean: maintainer-clean
 
@@ -264,7 +304,11 @@
 	  share/man/man1/$(MAC2UNIX).1 \
 	  share/man/man1/$(UNIX2DOS).1 \
 	  share/man/man1/$(UNIX2MAC).1 \
-	  share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION) \
+	  share/man/*/man1/$(PACKAGE).1 \
+	  share/man/*/man1/$(MAC2UNIX).1 \
+	  share/man/*/man1/$(UNIX2DOS).1 \
+	  share/man/*/man1/$(UNIX2MAC).1 \
+	  share/doc/$(docsubdir) \
 	  $(ZIPOBJ_EXTRA)
 
 ifdef ENABLE_NLS
@@ -279,26 +323,26 @@
 
 dist-zip:
 	rm -f $(prefix)/$(ZIPFILE)
-	cd $(prefix) ; unix2dos share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; unix2dos share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
 	mv -f $(prefix)/$(ZIPFILE) ..
 
 dist-tgz:
-	cd $(prefix) ; dos2unix share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
 	mv $(prefix)/$(TGZFILE) ..
 
 dist-tbz:
-	cd $(prefix) ; dos2unix share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; tar cvjf $(TBZFILE) $(ZIPOBJ)
 	mv $(prefix)/$(TBZFILE) ..
 
 dist: dist-tgz
 
 strip:
-	strip $(BIN)
-	strip $(UNIX2DOS_BIN)
+	$(STRIP) $(BIN)
+	$(STRIP) $(UNIX2DOS_BIN)
 ifeq ($(LINK),cp -f)
-	strip $(MAC2UNIX_BIN)
-	strip $(UNIX2MAC_BIN)
-endif
+	$(STRIP) $(MAC2UNIX_BIN)
+	$(STRIP) $(UNIX2MAC_BIN)
+endif
