=== debian/changelog ===
dos2unix (5.1.1-2) unstable; urgency=low

  * debian/control:
    - (Description): Improve paragraphs. Patch thanks to Reuben Thomas
      <rrt@sc3d.org> (Closes: #605383).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 30 Nov 2010 00:18:44 +0200

dos2unix (5.1.1-1) unstable; urgency=low

  * New upstream release.
    - Move to packaging format "3.0 (quilt)"
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
    - (dos2unix::Conflicts): Remove Debian *-2 version specifier from tofrodos.
  * debian/dos2unix.lintian-overrides
    - New.
  * debian/rules
    - Remove targets handled by dh(1).
  * debian/source/format
   - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 15 Nov 2010 14:38:16 +0200

dos2unix (5.0-3) unstable; urgency=low

  * UNRELEASED
  * debian/control:
    - (Description): Update to mention all the four utilities.
  * debian/copyright
    - (Lecense): Chagne id from MIT/X to FreeBSD. Add URL.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 17 Mar 2010 09:26:12 +0200

dos2unix (5.0-2) unstable; urgency=medium

  * debian/control
    - (Conflicts): add tofrodos (<< 1.7.8.debian.1-2) to handle
      upgrades (serious; Closes: #573495). See
      http://packages.qa.debian.org/t/tofrodos/news/20100121T214032Z.html

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 12 Mar 2010 11:17:24 +0200

dos2unix (5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): update to debhelper 7.1.
  * debian/debian-save-restore.mk
    - New file.
  * debian/rules
    - (.PHONY::binary): remove undefined target binary-indep.
  * debian/watch
    - Adjust URL and regexp.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 09 Mar 2010 21:09:55 +0200

dos2unix (4.1.2-1) unstable; urgency=low

  * Initial release (Closes: #561307)

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 15 Feb 2010 00:04:25 +0200
