=== debian/control ===
Source: dos2unix
Section: text
Priority: extra
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8), ghostscript
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/dos2unix.git
Vcs-Git: git://git.debian.org/git/collab-maint/dos2unix.git
Homepage: http://freshmeat.net/projects/dos2unix

Package: dos2unix
Conflicts: tofrodos (<< 1.7.8.debian.1)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: convert text file line endings between CRLF and LF
 This package contains utilities dos2unix, unix2dos, mac2unix,
 unix2mac to convert the line endings of text files between UNIX (LF),
 DOS (CRLF) and Mac (CR) formats.
 .
 Text files under Windows and DOS typically have two ASCII characters
 at the end of each line: CR (carriage return) followed by LF (line
 feed). Older Macs used just CR, while UNIX uses just LF. While most
 modern editors can read all these formats, there may still be a need
 to convert files between them.
 .
 This is the classic utility developed in 1989.
