=== debian/rules ===
#!/usr/bin/make -f

PACKAGE         = dos2unix
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
DOCROOTDIR      = $(PKGDIR)/usr/share/doc
PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)

include debian/debian-save-restore.mk

# Preserve original files, that will be generated afresh by Makefile
FILE_LIST_PRESERVE = \
 dos2unix.pdf \
 dos2unix.ps \
 dos2unix.txt \
 unix2dos.pdf \
 unix2dos.ps \
 unix2dos.txt

override_dh_auto_clean:
	$(file-state-save)
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install

	# dos2unix-N.N/ => dos2unix/
	mv -v $(DOCROOTDIR)/$$( cd $(DOCROOTDIR) && ls ) $(PKGDOCDIR)

	# Remove unknown locale

	rm -rf $(PKGDIR)/usr/share/locale/eo-x/

	# Remove files that are not needed. The PS and PDF are
	# copies of manual pages.

	rm -vf $(PKGDOCDIR)/COPYING.txt \
	       $(PKGDOCDIR)/INSTALL.txt \
	       $(PKGDOCDIR)/ChangeLog.txt \
	       $(PKGDOCDIR)/dos2unix.ps \
	       $(PKGDOCDIR)/dos2unix.pdf \
	       $(PKGDOCDIR)/unix2dos.ps \
	       $(PKGDOCDIR)/unix2dos.pdf

override_dh_installdocs:
	$(file-state-restore)
	dh_installdocs -X INSTALL.txt -X COPYING.txt -X ChangeLog.txt

%:
	dh  $@

# End of file
