## dos2unix 5.3

=== Makefile ===
--- 
+++ 
@@ -1,32 +1,65 @@
-
 # Author: Erwin Waterlander
-# Copyright (C) 2009-2010 Erwin Waterlander
-# This file is distributed under the same license as the dos2unix package.
+#
+#   Copyright (C) 2009-2011 Erwin Waterlander
+#   All rights reserved.
+# 
+#   Redistribution and use in source and binary forms, with or without
+#   modification, are permitted provided that the following conditions
+#   are met:
+#   1. Redistributions of source code must retain the above copyright
+#      notice, this list of conditions and the following disclaimer.
+#   2. Redistributions in binary form must reproduce the above copyright
+#      notice in the documentation and/or other materials provided with
+#      the distribution.
+# 
+#   THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+#   EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
+#   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+#   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
+#   OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+#   BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+#   OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+#   IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+#   Description
+#
+#	This is a GNU Makefile that uses GNU compilers, linkers and cpp. The
+#	platform specific issues are determined by the various OS teets that
+#	rely on the uname(1) command and directory locations.
 
 include version.mk
 
-CC=gcc
-STRIP=strip
-PACKAGE=dos2unix
-UNIX2DOS=unix2dos
-MAC2UNIX=mac2unix
-UNIX2MAC=unix2mac
-
-ENABLE_NLS = 1
+CC		= gcc
+CPP		= cpp
+CPP_FLAGS_POD	= ALL
+STRIP		= strip
+
+PACKAGE		= dos2unix
+UNIX2DOS	= unix2dos
+MAC2UNIX	= mac2unix
+UNIX2MAC	= unix2mac
+
+# Native Language Support (NLS)
+ENABLE_NLS	= 1
+# Large File Support (LFS)
+LFS             = 1
+DEBUG = 0
 
 EXE=
-ifneq (, $(wildcard /cygdrive))
-	EXE = .exe
-endif
-BIN=$(PACKAGE)$(EXE)
-UNIX2DOS_BIN=$(UNIX2DOS)$(EXE)
-MAC2UNIX_BIN=$(MAC2UNIX)$(EXE)
-UNIX2MAC_BIN=$(UNIX2MAC)$(EXE)
+
+BIN		= $(PACKAGE)$(EXE)
+UNIX2DOS_BIN	= $(UNIX2DOS)$(EXE)
+MAC2UNIX_BIN	= $(MAC2UNIX)$(EXE)
+UNIX2MAC_BIN	= $(UNIX2MAC)$(EXE)
 
 # DJGPP support linking of .EXEs via 'stubify'.
 # See djgpp.mak and http://www.delorie.com/djgpp/v2faq/faq22_5.html
-LINK = ln -sf
-LINK_MAN = $(LINK)
+
+LINK		= ln -sf
+LINK_MAN	= $(LINK)
 
 prefix		= /usr
 exec_prefix	= $(prefix)
@@ -42,17 +75,27 @@
 manext		= .1
 man1ext		= .1
 
-ifdef ENABLE_NLS
-DOS2UNIX_POT		= po/dos2unix/$(PACKAGE).pot
-DOS2UNIX_POFILES	= $(wildcard po/dos2unix/*.po)
-DOS2UNIX_MOFILES	= $(patsubst %.po,%.mo,$(DOS2UNIX_POFILES))
-UNIX2DOS_POT		= po/unix2dos/$(UNIX2DOS).pot
-UNIX2DOS_POFILES	= $(wildcard po/unix2dos/*.po)
-UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
-MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
-endif
-DOCFILES	= $(PACKAGE).txt $(PACKAGE).ps $(PACKAGE).pdf $(PACKAGE).htm
-INSTALL_OBJS_DOC = README.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt $(DOCFILES)
+# For systems that don't support Unicode or Latin-3, select
+# Esperanto in X-notation format: EO_XNOTATION=1
+
+ifdef EO_XNOTATION
+EO_NOTATION = -x
+endif
+
+ifdef ENABLE_NLS
+	DOS2UNIX_POT		= po/dos2unix/$(PACKAGE).pot
+	DOS2UNIX_POFILES	= $(wildcard po/dos2unix/??.po)
+	DOS2UNIX_MOFILES	= $(patsubst %.po,%.mo,$(DOS2UNIX_POFILES))
+	UNIX2DOS_POT		= po/unix2dos/$(UNIX2DOS).pot
+	UNIX2DOS_POFILES	= $(wildcard po/unix2dos/??.po)
+	UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
+	POFILES			= $(DOS2UNIX_POFILES) $(UNIX2DOS_POFILES)
+	EOX_POFILES		= po/dos2unix/eo-x.po po/unix2dos/eo-x.po
+	MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
+endif
+
+DOCFILES	= $(PACKAGE).txt $(PACKAGE).htm
+INSTALL_OBJS_DOC = README.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt BUGS.txt $(DOCFILES)
 
 #PODFILES	= man/man1/dos2unix.pod $(wildcard man/*/man1/dos2unix.pod)
 PODFILES	= $(wildcard man/*/man1/dos2unix.pod)
@@ -60,6 +103,7 @@
 
 # On some systems (e.g. FreeBSD 4.10) GNU install is installed as `ginstall'.
 INSTALL		= install
+
 # On some systems (e.g. GNU Win32) GNU mkdir is installed as `gmkdir'.
 MKDIR           = mkdir
 
@@ -79,10 +123,8 @@
 endif
 
 ifndef OS
-ifneq (, $(wildcard /cygdrive))
+ifeq ($(findstring CYGWIN,$(shell uname)),CYGWIN)
 	OS = cygwin
-	LINK = cp -f
-	LINK_MAN = cp -f
 endif
 endif
 
@@ -90,6 +132,16 @@
 ifdef ENABLE_NLS
 	LDFLAGS_EXTRA = -lintl -liconv -Wl,--enable-auto-import
 endif
+	EXE = .exe
+	# allow non-cygwin clients which do not understand cygwin
+	# symbolic links to launch applications...
+	LINK = ln -f
+	# but use symbolic links for man pages, since man client
+	# IS a cygwin app and DOES understand symlinks.
+	LINK_MAN = ln -fs
+	# Cygwin packaging standard avoids version numbers on
+	# documentation directories.
+	docsubdir	= $(PACKAGE)
 endif
 
 
@@ -144,36 +196,43 @@
 
 # ............................................................ flags ...
 
-CFLAGS	= -O2 -Wall -D_LARGEFILE_SOURCE $(RPM_OPT_FLAGS)
+CFLAGS	= -O2 -Wall $(RPM_OPT_FLAGS)
 
 EXTRA_CFLAGS	= -DVER_REVISION=\"$(DOS2UNIX_VERSION)\" \
 		  -DVER_DATE=\"$(DOS2UNIX_DATE)\" \
+		  -DDEBUG=$(DEBUG) \
 		  $(CFLAGS_OS)
 
 ifdef STATIC
 	EXTRA_CFLAGS += -static
 endif
 
+ifdef LFS
+	EXTRA_CFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+endif
+
 LDFLAGS		= $(LDFLAGS_EXTRA)
 
 DEFS		= $(EXTRA_DEFS)
 
 # .......................................................... targets ...
 
-
-all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(MANFILES) man/man1/dos2unix.1
-
-dos2unix.o : dos2unix.c
+all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(EOX_POFILES) $(MANFILES) man/man1/dos2unix.1
+
+querycp.o : querycp.c querycp.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-unix2dos.o : unix2dos.c
+dos2unix.o : dos2unix.c dos2unix.h querycp.h
+	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
+
+unix2dos.o : unix2dos.c unix2dos.h querycp.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(UNIX2DOS_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-$(BIN): dos2unix.o
-	$(CC) $< $(LDFLAGS) -o $@
-
-$(UNIX2DOS_BIN): unix2dos.o
-	$(CC) $< $(LDFLAGS) -o $@
+$(BIN): dos2unix.o querycp.o
+	$(CC) $+ $(LDFLAGS) -o $@
+
+$(UNIX2DOS_BIN): unix2dos.o querycp.o
+	$(CC) $+ $(LDFLAGS) -o $@
 
 $(MAC2UNIX_BIN) : $(BIN)
 	$(LINK) $< $@
@@ -186,11 +245,19 @@
 
 mofiles: $(MOFILES)
 
-docfiles: $(DOCFILES)
+html: $(PACKAGE).htm
+
+txt: $(PACKAGE).txt
+
+ps: $(PACKAGE).ps
+
+pdf: $(PACKAGE).pdf
+
+doc: $(DOCFILES)
 
 tags: $(DOS2UNIX_POT)
 
-merge: $(DOS2UNIX_POFILES)
+merge: $(POFILES) $(EOX_POFILES)
 
 po/dos2unix/%.po : $(DOS2UNIX_POT)
 	msgmerge -U $@ $(DOS2UNIX_POT) --backup=numbered
@@ -203,6 +270,12 @@
 	touch $@
 
 %.mo : %.po
+	msgfmt -c $< -o $@
+
+po/dos2unix/eo.mo : po/dos2unix/eo$(EO_NOTATION).po
+	msgfmt -c $< -o $@
+
+po/unix2dos/eo.mo : po/unix2dos/eo$(EO_NOTATION).po
 	msgfmt -c $< -o $@
 
 $(DOS2UNIX_POT) : dos2unix.c
@@ -258,7 +331,7 @@
 endif
 	@echo "-- install-doc"
 	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
-	$(INSTALL) -m 644 $(INSTALL_OBJS_DOC) $(DESTDIR)$(docdir)
+	$(INSTALL) -m 644 $(INSTALL_OBJS_DOC) $(wildcard $(PACKAGE).ps) $(wildcard $(PACKAGE).pdf) $(DESTDIR)$(docdir)
 
 uninstall:
 	@echo "-- target: uninstall"
@@ -289,7 +362,7 @@
 distclean: clean
 
 maintainer-clean: distclean
-	rm -f $(DOCFILES)
+	rm -f $(DOCFILES) $(PACKAGE).ps $(PACKAGE).pdf
 	rm -f man/man1/*.1
 	rm -f man/*/man1/*.1
 
@@ -324,25 +397,5 @@
 dist-zip:
 	rm -f $(prefix)/$(ZIPFILE)
 	cd $(prefix) ; unix2dos share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; unix2dos share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
 	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
-	mv -f $(prefix)/$(ZIPFILE) ..
-
-dist-tgz:
-	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
-	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
-	mv $(prefix)/$(TGZFILE) ..
-
-dist-tbz:
-	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
-	cd $(prefix) ; tar cvjf $(TBZFILE) $(ZIPOBJ)
-	mv $(prefix)/$(TBZFILE) ..
-
-dist: dist-tgz
-
-strip:
-	$(STRIP) $(BIN)
-	$(STRIP) $(UNIX2DOS_BIN)
-ifeq ($(LINK),cp -f)
-	$(STRIP) $(MAC2UNIX_BIN)
-	$(STRIP) $(UNIX2MAC_BIN)
-endif
