=== man/man1/Makefile ===
--- 
+++ 
@@ -81,5 +81,8 @@
 	| sed 's,[Pp]erl v[0-9.]\+,$(PACKAGE),' \
 	  > $@ && \
 	rm -f pod*.tmp
+# fix for bug http://rt.perl.org/rt3//Public/Bug/Display.html?id=79410 
+# "Pod2man creates wrong ROFF esc sequences for Latin-1 characters."
+	perl -pli.bak -e s/e\\\\\\*:/\\\\[:e]/ $@
 
 # End of of Makefile part
