=== debian/changelog ===
dos2unix (5.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): update to 3.9.2.
  * debian/copyright:
    - Update to DEP5.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 27 Apr 2011 19:04:10 +0300

dos2unix (5.2.1-1) unstable; urgency=low

  * New upstream release
    - Large file support is enabled by default (Close: #614360).
    - Esperanto eo-x locate is no longer generated by default.
  * debian/clean
    - New file. Delete generated files.
  * debian/control
    - (Build-Depends): remove ghostscript; optional in latest release.
  * debian/debian-save-restore.mk
    - Remove. No longer needed.
  * debian/rules
    - (override_dh_auto_install): remove calls no longer needed.
    - Remove file-state-* macros. New release no longer ships copies
      of generated files.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 05 Mar 2011 11:37:15 +0200

dos2unix (5.2-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 01 Feb 2011 06:59:43 +0200
