## dos2unix 5.3.1

=== Makefile ===
--- 
+++ 
@@ -83,15 +83,10 @@
 endif
 
 ifdef ENABLE_NLS
-	DOS2UNIX_POT		= po/dos2unix/$(PACKAGE).pot
-	DOS2UNIX_POFILES	= $(wildcard po/dos2unix/??.po)
-	DOS2UNIX_MOFILES	= $(patsubst %.po,%.mo,$(DOS2UNIX_POFILES))
-	UNIX2DOS_POT		= po/unix2dos/$(UNIX2DOS).pot
-	UNIX2DOS_POFILES	= $(wildcard po/unix2dos/??.po)
-	UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
-	POFILES			= $(DOS2UNIX_POFILES) $(UNIX2DOS_POFILES)
-	EOX_POFILES		= po/dos2unix/eo-x.po po/unix2dos/eo-x.po
-	MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
+	POT		= po/$(PACKAGE).pot
+	POFILES		= $(wildcard po/??.po)
+	MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
+	EOX_POFILES	= po/eo-x.po
 endif
 
 DOCFILES	= $(PACKAGE).txt $(PACKAGE).htm
@@ -109,7 +104,6 @@
 
 ifdef ENABLE_NLS
 	DOS2UNIX_NLSDEFS = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
-	UNIX2DOS_NLSDEFS = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(UNIX2DOS)\"
 endif
 
 # ......................................................... OS flags ...
@@ -219,19 +213,22 @@
 
 all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(EOX_POFILES) $(MANFILES) man/man1/dos2unix.1
 
+common.o : common.c common.h
+	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
+
 querycp.o : querycp.c querycp.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-dos2unix.o : dos2unix.c dos2unix.h querycp.h
+dos2unix.o : dos2unix.c dos2unix.h querycp.h common.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-unix2dos.o : unix2dos.c unix2dos.h querycp.h
-	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(UNIX2DOS_NLSDEFS) $(CFLAGS) -c $< -o $@
-
-$(BIN): dos2unix.o querycp.o
+unix2dos.o : unix2dos.c unix2dos.h querycp.h common.h
+	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
+
+$(BIN): dos2unix.o querycp.o common.o
 	$(CC) $+ $(LDFLAGS) -o $@
 
-$(UNIX2DOS_BIN): unix2dos.o querycp.o
+$(UNIX2DOS_BIN): unix2dos.o querycp.o common.o
 	$(CC) $+ $(LDFLAGS) -o $@
 
 $(MAC2UNIX_BIN) : $(BIN)
@@ -255,34 +252,23 @@
 
 doc: $(DOCFILES)
 
-tags: $(DOS2UNIX_POT)
+tags: $(POT)
 
 merge: $(POFILES) $(EOX_POFILES)
 
-po/dos2unix/%.po : $(DOS2UNIX_POT)
-	msgmerge -U $@ $(DOS2UNIX_POT) --backup=numbered
+po/%.po : $(POT)
+	msgmerge -U $@ $(POT) --backup=numbered
 	# change timestamp in case .po file was not updated.
 	touch $@
 
-po/unix2dos/%.po : $(UNIX2DOS_POT)
-	msgmerge -U $@ $(UNIX2DOS_POT) --backup=numbered
-	# change timestamp in case .po file was not updated.
-	touch $@
-
 %.mo : %.po
 	msgfmt -c $< -o $@
 
-po/dos2unix/eo.mo : po/dos2unix/eo$(EO_NOTATION).po
+po/eo.mo : po/eo$(EO_NOTATION).po
 	msgfmt -c $< -o $@
 
-po/unix2dos/eo.mo : po/unix2dos/eo$(EO_NOTATION).po
-	msgfmt -c $< -o $@
-
-$(DOS2UNIX_POT) : dos2unix.c
-	xgettext -C --keyword=_ $+ -o $(DOS2UNIX_POT)
-
-$(UNIX2DOS_POT) : unix2dos.c
-	xgettext -C --keyword=_ $+ -o $(UNIX2DOS_POT)
+$(POT) : dos2unix.c unix2dos.c common.c
+	xgettext -C --keyword=_ $+ -o $(POT)
 
 %.txt : man/man1/%.pod
 	LC_CTYPE=C pod2text $< > $@
@@ -326,8 +312,7 @@
 ifdef ENABLE_NLS
 	@echo "-- install-mo"
 	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
-	$(foreach mofile, $(DOS2UNIX_MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
-	$(foreach mofile, $(UNIX2DOS_MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(UNIX2DOS).mo ;)
+	$(foreach mofile, $(MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
 endif
 	@echo "-- install-doc"
 	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
@@ -340,8 +325,7 @@
 	-rm -f $(DESTDIR)$(bindir)/$(UNIX2DOS_BIN)
 	-rm -f $(DESTDIR)$(bindir)/$(UNIX2MAC_BIN)
 ifdef ENABLE_NLS
-	$(foreach mofile, $(DOS2UNIX_MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
-	$(foreach mofile, $(UNIX2DOS_MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(UNIX2DOS).mo ;)
+	$(foreach mofile, $(MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
 endif
 	-rm -f $(DESTDIR)$(mandir)/man1/$(PACKAGE).1
 	-rm -f $(DESTDIR)$(mandir)/man1/$(MAC2UNIX).1
@@ -356,8 +340,9 @@
 	rm -f *.bak *~
 	rm -f *.tmp
 	rm -f man/man1/*.bak man/man1/*~
-	rm -f po/*/*.bak po/*/*~
-	rm -f po/*/*.mo
+	rm -f man/*/man1/*.bak man/*/man1/*~
+	rm -f po/*.bak po/*~
+	rm -f po/*.mo
 
 distclean: clean
 
@@ -386,7 +371,6 @@
 
 ifdef ENABLE_NLS
 ZIPOBJ += share/locale/*/LC_MESSAGES/$(PACKAGE).mo
-ZIPOBJ += share/locale/*/LC_MESSAGES/$(UNIX2DOS).mo
 endif
 
 VERSIONSUFFIX	= -bin
@@ -399,3 +383,27 @@
 	cd $(prefix) ; unix2dos share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; unix2dos share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
 	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
+	mv -f $(prefix)/$(ZIPFILE) ..
+
+dist-tgz:
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
+	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
+	mv $(prefix)/$(TGZFILE) ..
+
+dist-tbz:
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
+	cd $(prefix) ; tar cvjf $(TBZFILE) $(ZIPOBJ)
+	mv $(prefix)/$(TBZFILE) ..
+
+dist: dist-tgz
+
+strip:
+	$(STRIP) $(BIN)
+	$(STRIP) $(UNIX2DOS_BIN)
+ifeq ($(LINK),cp -f)
+	$(STRIP) $(MAC2UNIX_BIN)
+	$(STRIP) $(UNIX2MAC_BIN)
+endif
+
