=== debian/changelog ===
dos2unix (5.3.1-1) unstable; urgency=low

  * New upstream release.
    - The unix2dos .mo files are gone. The programs shares the dos2unix
      .mo files.
  * debian/copyright
    - (Format): Update URL (lintian).
  * debian/debian-save-restore.mk
    - New file.
  * debian/rules
    - (override_dh_clean): Clean up generated files.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 Oct 2011 16:10:07 +0300
