=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: extra
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), ghostscript
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dos2unix.git
 Vcs-Git: git://git.debian.org/git/collab-maint/dos2unix.git
 Homepage: http://freshmeat.net/projects/dos2unix
