=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
 DOCROOTDIR      = $(PKGDIR)/usr/share/doc
 PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)
+
+override_dh_clean:
+	dh_clean
+	rm -f man/es/man1/dos2unix.1
 
 override_dh_auto_install:
 	dh_auto_install
