## dos2unix 5.3.2

=== debian/changelog ===
dos2unix (5.3.2-2) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
  * debian/rules
    - (include): Add buildflags.mk.
    - (override_dh_auto_build): New. Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 05 Feb 2012 21:20:34 +0200

dos2unix (5.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Update year.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 28 Jan 2012 08:19:20 +0200
