=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,17 @@
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
 DOCROOTDIR      = $(PKGDIR)/usr/share/doc
 PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)
+CFLAGS_EXTRA	= -Wall -pedantic
+
+include /usr/share/dpkg/buildflags.mk
+export CPPFLAGS CFLAGS LDFLAGS
 
 override_dh_clean:
 	dh_clean
 	rm -f man/es/man1/dos2unix.1
+
+override_dh_auto_build:
+	$(MAKE) CFLAGS="$(CFLAGS_EXTRA) $(CFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install
@@ -26,6 +33,6 @@
 	dh_installdocs -X INSTALL.txt -X COPYING.txt -X ChangeLog.txt
 
 %:
-	dh  $@
+	dh $@
 
 # End of file
