## dos2unix 5.3.3

=== debian/changelog ===
dos2unix (5.3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/clean
    - Adjust po and *.html files.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/docs
    - Clean up unnecessary files.
  * debian/rules
    - Enable all hardening flags.
    - Delete buildflags.mk; not needed with debhelper 9.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 11 Mar 2012 06:41:52 -0400
