=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,22 @@
 #!/usr/bin/make -f
 
-PACKAGE         = dos2unix
+PACKAGE		= dos2unix
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
-DOCROOTDIR      = $(PKGDIR)/usr/share/doc
-PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)
-CFLAGS_EXTRA	= -Wall -pedantic
+DOCROOTDIR	= $(PKGDIR)/usr/share/doc
+PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
 
-include /usr/share/dpkg/buildflags.mk
-export CPPFLAGS CFLAGS LDFLAGS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+CFLAGS	+= -Wall -pedantic
+LDFLAGS += -Wl,--as-needed
 
 override_dh_clean:
 	dh_clean
 	rm -f man/es/man1/dos2unix.1
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS_EXTRA) $(CFLAGS)"
+	$(MAKE) HTMLEXT=html \
+		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
+		RPM_OPT_FLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install
