## dos2unix 6.0

=== debian/changelog ===
dos2unix (6.0-1) unstable; urgency=low

  * New upstream release, see changes:
    http://freecode.com/projects/dos2unix#release_344448
  * debian/changelog
    - (override_dh_auto_build): Use LDFLAGS_USER to pass hardening flags.
  * debian/watch
    - Remove unnneeded comment.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 07 May 2012 08:08:37 +0300

dos2unix (5.3.3-2) unstable; urgency=low

  * debian/clean
    - Delete Esperanto manual page (unknown locale).
    - Don't remove original po/*.pot files.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/rules
    - Remove unnecessary targets. Preserve original po/*.pot file.
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 04:43:55 -0400
