=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: extra
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dos2unix.git
 Vcs-Git: git://git.debian.org/git/collab-maint/dos2unix.git
 Homepage: http://freshmeat.net/projects/dos2unix
